package com.zfire.jiasm.syncdata.download.other.refunds;


import lombok.extern.slf4j.Slf4j;

/**  未上线 新做的接口
 * 总部退换货录入
 * /api/zbthh/ext/submit
 */
@Slf4j
// @Component
public class Add {
    /*
    @Resource
    TblAddUploadListService tblAddUploadListService;
    @Resource
    OtherDownService otherDownService;


    @Scheduled(fixedDelayString = "${thlr}")
    public void addInput(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        if (1==1){
            return;
        }

        log.info("开始新增退换货: \uF0B7{}",sdf.format(new Date()));
        // 提取家用特殊安装工单需要新增的数据
        List<TblAddUploadList> taus = tblAddUploadListService.lambdaQuery()
                .eq(TblAddUploadList::getType, 4)
                .eq(TblAddUploadList::getSynStatus, 0).list();
        for (TblAddUploadList item : taus) {
            try{
                otherDownService.addRefunds(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("新增退换货【" + item.getTabName() +"】失败");
            }
        }
        log.info("新增退换货结束: \uF0B7{}",sdf.format(new Date()));
    }
    */
}
